FITS(1)

NAME
Fits - view and manipulate FITS headers

SYNOPSIS
astfits [OPTION...] ASTRdata

DESCRIPTION
Fits is part of GNU Astronomy Utilities 0.23. Fits allows you to view and manipulate (add, delete, or modify) FITS extensions (or HDUs) and FITS header keywords within one extension.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of Fits's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astfits -P

Inputs/Outputs and options:
    $ info astfits

Full section in manual/book:
    $ info Fits

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

Fits options:

    Input:

--arguments=STR
    Plain-text file with command-line arguments.

-h, --hdu=STR/INT
    Extension name or number of input data.

    Output:

-K, --keepinputdir
    Keep input directory for automatic output.

--outfitsnocommit
    No Git commit in 0-th HDU of output FITS.

--outfitsnoconfig
    No metadata in 0-th HDU of output FITS.

--outfitsnodate
    No 'DATE' in 0-th HDU of output FITS.

--outfitsnoversions
    No versions in 0-th HDU of output FITS.

--outhdu=STR
    HDU/extension in output for --copykeys.

-o, --output=STR
    Output file name (not for keywords).

-O, --colinfoinstdout
    Column info/metadata when printing to stdout.

--tableformat=STR
    Table fmt: 'fits-ascii', 'fits-binary', 'txt'.

-T, --type=STR
    Type of output: e.g., int16, float32, etc...

    HDU (extension) information:

--datasum
    Calculate HDU's datasum and print in stdout.

--datasum-encoded
    16 character string encoding of '--datasum'.

--hasimagehdu
    File has at least one image HDU.

--hastablehdu
    File has at least one table HDU.

--listallhdus
    List all HDUs within the file.

--listimagehdus
    List all image HDUs within the file.

--listtablehdus
    List all table HDUs within the file.

-n, --numhdus
    Print number of HDUs in the given FITS file.

--pixelareaarcsec2
    Pixel area in arc-seconds squared.

--pixelscale
    Return the pixel-scale of the HDU's WCS.

--skycoverage
    Image coverage in the WCS coordinates.

    HDU (extension) manipulation:

-C, --copy=STR/INT
    Copy extension to output file.

-k, --cut=STR/INT
    Copy extension to output and remove from input.

--primaryimghdu
    Copy/cut image HDUs to primary/zero-th HDU.

-R, --remove=STR/INT
    Remove extension from input file.

    Keywords (in one HDU):

-a, --asis=STR
    Write value as-is (may corrupt FITS file).

--copykeys=INT:INT/STR,STR
    Range/Names of keywords to copy in output.

-c, --comment=STR
    Add COMMENT keyword, any length is ok.

-d, --delete=STR
    Delete a keyword from the header.

-H, --history=STR
    Add HISTORY keyword, any length is ok.

-l, --keyvalue=STR[,STR,...]
    Only print the value of requested keyword(s).

--printkeynames
    Print all keyword names.

-p, --printallkeys
    Print all keywords in the selected HDU.

-r, --rename=STR,STR
    Rename keyword, keeping value and comments.

-s, --datetosec=STR
    FITS date to sec from 1970/01/01T00:00:00

-t, --date
    Set the DATE keyword to the current time.

-u, --update=STR,STR
    Update a keyword value or comments.

-v, --verify
    Verify the CHECKSUM and DATASUM keywords.

--wcscoordsys=STR
    Convert WCS coordinate system.

--wcsdistortion=STR
    Convert WCS distortion to another type.

-w, --write=STR
    Write a keyword (with value, comments and units).

    Meta-image creation:

--edgesampling=INT
    Number of extra samplings in pixel sides.

--pixelareaonwcs
    Image where pixels show their area in sky (WCS).

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

--config-prefix=STR
    Custom prefix of option names config files.

--lastconfig
    Do not parse any more configuration files.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-q, --quiet
    Only report errors, remain quiet about steps.

-Q, --quitonerror
    Quit if there is an error on any action.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2024 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for Fits is maintained as a Texinfo manual. If the info and Fits programs are properly installed at your site, the command

    info Fits

should give you access to the complete manual.